Debian Bug report logs - #709922
ITP: svtplay-dl -- media downloader for "play" sites (e.g. SVT Play)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Olof Johansson <olof@ethup.se>

Date: Sun, 26 May 2013 18:45:02 UTC

Owned by: Olof Johansson <olof@ethup.se>

Severity: wishlist

Fixed in version svtplay-dl/0.9.2014.02.15-1

Done: Olof Johansson <olof@ethup.se>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Sun, 26 May 2013 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 26 May 2013 18:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: submit@bugs.debian.org
Subject: ITP: svtplay-dl -- media downloader for "play" sites (e.g. SVT Play)
Date: Sun, 26 May 2013 20:38:39 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : svtplay-dl
  Version         : 0.9.2013.05.06
  Upstream Author : Johan Andersson <j@i19.se>
* URL             : https://github.com/spaam/svtplay-dl
* License         : MIT 
  Programming Lang: python
  Description     : media downloader for "play" sites (e.g. SVT Play)

This program is able to download and extract media from many popular
video on demand sites (sometimes known as "play service"). It initially
supported Swedish public TV's "SVT Play", but today supports many 
similar services (including TV4Play, Kanal5Play, Viaplay, HBO, RUV, NRK,
Vimeo and more).



Regards,
-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Olof Johansson <olof@ethup.se>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 04:27:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 709922: 710175 Request was from Olof Johansson <olof@ethup.se> to submit@bugs.debian.org. (Tue, 28 May 2013 20:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Mon, 28 Oct 2013 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 28 Oct 2013 15:24:04 GMT) Full text and rfc822 format available.

Message #14 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: 709922@bugs.debian.org
Subject: Re: ITP: svtplay-dl -- media downloader for "play" sites (e.g. SVT Play)
Date: Mon, 28 Oct 2013 16:11:55 +0100
I've just uploaded the latest upstream release to mentors. If anybody
have the time and interest, I would really appreciate review comments!

https://mentors.debian.net/package/svtplay-dl

Thanks,
-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olof Johansson <olof@ethup.se>:
Bug#709922; Package wnpp. (Mon, 28 Oct 2013 18:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olof Johansson <olof@ethup.se>. (Mon, 28 Oct 2013 18:39:12 GMT) Full text and rfc822 format available.

Message #19 received at 709922@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: Olof Johansson <olof@ethup.se>, 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for "play" sites (e.g. SVT Play)
Date: Mon, 28 Oct 2013 19:31:08 +0100 (CET)
On Mon, 28 Oct 2013, Olof Johansson wrote:
>
> I've just uploaded the latest upstream release to mentors. If anybody
> have the time and interest, I would really appreciate review comments!
>
> https://mentors.debian.net/package/svtplay-dl

Promissing.
One of my tests failed to download the subtitles, though:

$ svtplay-dl -H -S http://urplay.se/Produkter/174681-Mitt-Sardinien-Middagen
INFO Outfile: mitt-sardinien-middagen-ur-play.ts
[37/38][================================================..] ETA: 0:00:00
Traceback (most recent call last):
  File "/usr/lib/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/svtplay-dl/__main__.py", line 12, in <module>
  File "/usr/bin/svtplay-dl/svtplay_dl/__init__.py", line 137, in main

  File "/usr/bin/svtplay-dl/svtplay_dl/__init__.py", line 79, in get_media

  File "/usr/bin/svtplay-dl/svtplay_dl/service/urplay.py", line 37, in get
  File "/usr/bin/svtplay-dl/svtplay_dl/utils/__init__.py", line 129, in subtitle_tt

KeyError: 'dur'


Cheers,

-- 
Cristian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Mon, 28 Oct 2013 18:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 28 Oct 2013 18:45:14 GMT) Full text and rfc822 format available.

Message #24 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
Cc: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for "play" sites (e.g. SVT Play)
Date: Mon, 28 Oct 2013 19:42:00 +0100
On 2013-10-28 19:31 +0100, Cristian Ionescu-Idbohrn wrote:
> On Mon, 28 Oct 2013, Olof Johansson wrote:
> >
> > I've just uploaded the latest upstream release to mentors. If anybody
> > have the time and interest, I would really appreciate review comments!
> >
> > https://mentors.debian.net/package/svtplay-dl
> 
> Promissing.
> One of my tests failed to download the subtitles, though:

Interesting,

I'll forward this to upstream. Thanks for the report!

-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Mon, 28 Oct 2013 18:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 28 Oct 2013 18:51:09 GMT) Full text and rfc822 format available.

Message #29 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
Cc: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for "play" sites (e.g. SVT Play)
Date: Mon, 28 Oct 2013 19:48:25 +0100
On 2013-10-28 19:42 +0100, Olof Johansson wrote:
> On 2013-10-28 19:31 +0100, Cristian Ionescu-Idbohrn wrote:
> > Promissing.
> > One of my tests failed to download the subtitles, though:
> 
> Interesting,
> 
> I'll forward this to upstream. Thanks for the report!

Reported as https://github.com/spaam/svtplay-dl/issues/53.

Thanks again,
-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olof Johansson <olof@ethup.se>:
Bug#709922; Package wnpp. (Mon, 28 Oct 2013 21:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olof Johansson <olof@ethup.se>. (Mon, 28 Oct 2013 21:15:10 GMT) Full text and rfc822 format available.

Message #34 received at 709922@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: Olof Johansson <olof@ethup.se>
Cc: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Mon, 28 Oct 2013 22:13:43 +0100 (CET)
On Mon, 28 Oct 2013, Olof Johansson wrote:
> On 2013-10-28 19:42 +0100, Olof Johansson wrote:
> > On 2013-10-28 19:31 +0100, Cristian Ionescu-Idbohrn wrote:
> > > Promissing.
> > > One of my tests failed to download the subtitles, though:
> >
> > Interesting,
> >
> > I'll forward this to upstream. Thanks for the report!
>
> Reported as https://github.com/spaam/svtplay-dl/issues/53.

Great.  Upstream found the bug and corrected the source with commit
4348b931675db67c35756fc654b76139ed74c3dc (subtitle_tt: urplay changed from
dur till duration).

New observation.  Video/sound synchronization isn't perfect, compared to
this download:

ffmpeg -i 'http://130.242.59.75/ondemand/_definst_/mp4:174000-174999/174681-50.mp4/playlist.m3u8' -vcodec copy middagen.174681-50.mp4

Same url: http://urplay.se/Produkter/174681-Mitt-Sardinien-Middagen
Player: mplayer.


Cheers,

-- 
Cristian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olof Johansson <olof@ethup.se>:
Bug#709922; Package wnpp. (Tue, 28 Jan 2014 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olof Johansson <olof@ethup.se>. (Tue, 28 Jan 2014 22:36:05 GMT) Full text and rfc822 format available.

Message #39 received at 709922@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Tue, 28 Jan 2014 23:32:12 +0100
Hi!

Great work!

Some comments:

* The Python Policy 1.4.2 states that /usr/bin/python should be used
as interpreter
  in favour of /usr/bin/env python. [0]
* The license is Expat.
* Bump Standards-Version to 3.9.5.

If you need a sponsor, ping me when the package is ready for another
review round
and upload.


[0] https://www.debian.org/doc/packaging-manuals/python-policy/ch-python.html#s-interpreter_loc


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Wed, 29 Jan 2014 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Jan 2014 08:24:04 GMT) Full text and rfc822 format available.

Message #44 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: Per Andersson <avtobiff@gmail.com>, 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Wed, 29 Jan 2014 09:15:33 +0100
On 2014-01-28 23:32 +0100, Per Andersson wrote:
> Some comments:
> 
> * The Python Policy 1.4.2 states that /usr/bin/python should be used
> as interpreter
>   in favour of /usr/bin/env python. [0]
> * The license is Expat.
> * Bump Standards-Version to 3.9.5.
> 
> If you need a sponsor, ping me when the package is ready for another
> review round
> and upload.

I'll fix your comments and import a new upstream version within the
next few days. Thanks a lot!

-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Sun, 02 Feb 2014 15:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Feb 2014 15:06:07 GMT) Full text and rfc822 format available.

Message #49 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: Per Andersson <avtobiff@gmail.com>, 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Sun, 2 Feb 2014 16:04:37 +0100
[Message part 1 (text/plain, inline)]
On 2014-01-28 23:32 +0100, Per Andersson wrote:
> Some comments:
> 
> * The Python Policy 1.4.2 states that /usr/bin/python should be used
> as interpreter
>   in favour of /usr/bin/env python. [0]
> * The license is Expat.
> * Bump Standards-Version to 3.9.5.
> 
> If you need a sponsor, ping me when the package is ready for another
> review round
> and upload.

Hi,

I've uploaded a new version to mentors.d.n, addressing your comments
and importing a new upstream version (0.9.2014.01.18). The source
package is available at:

  https://mentors.debian.net/package/svtplay-dl

The git repository for it is at github:

  https://github.com/olof/debian-svtplay-dl

Note that I've been rebasing the master-next branch, but I've pushed
the old master-next as archived/20140202/master-next for now, for
comparison.

Thanks a lot for the review!
-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olof Johansson <olof@ethup.se>:
Bug#709922; Package wnpp. (Tue, 04 Feb 2014 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olof Johansson <olof@ethup.se>. (Tue, 04 Feb 2014 23:00:05 GMT) Full text and rfc822 format available.

Message #54 received at 709922@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Tue, 4 Feb 2014 23:57:14 +0100
Hi!

Packaging looks good!


Streaming from UR Play is not possible at all. upstream commit a7c9043301
fixes this. Please include at least that in a new package.


Found some more issues when I tested the new package.


Streaming from many sites mentioned in the docs fail:

root@saturn:~# svtplay-dl http://tv.nrk.no/program/koid75007313/lysleite
ERROR That site is not supported. Make a ticket or send a message

root@saturn:~# svtplay-dl http://www.twitch.tv/wcs_europe2
ERROR Can't find swf file.

root@saturn:~# svtplay-dl http://www.justin.tv/femjesseart
ERROR Can't find swf file.

root@saturn:~# svtplay-dl
"http://sverigesradio.se/sida/artikel.aspx?programid=83&artikel=5775888"
ERROR Can't find video file

root@saturn:~# svtplay-dl
http://www.tv3play.no/programmer/the-crazy-ones/349981?autostart=true
ERROR Cant find video file

root@saturn:~# svtplay-dl
http://www.tv3play.lt/programos/moterys-meluoja-geriau/353249?autostart=true
ERROR Cant find video file

root@saturn:~# svtplay-dl
http://www.tv3play.ee/sisu/midsomeri-morvad/352857?autostart=true
ERROR Cant find video file

root@saturn:~# svtplay-dl
http://www.viasat4play.no/programmer/dads--1/349783?autostart=true
ERROR Cant find video file

root@saturn:~# svtplay-dl http://www.kanal9play.se/program/177466428
ERROR Can't find video file

root@saturn:~# svtplay-dl
http://www.svd.se/kultur/amster-moter-veronica-maggio_8954474.svd
INFO Outfile: amster-mter-veronica-maggio-kultur-svd.flv
RTMPDump v2.4
(c) 2010 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL
Connecting ...
INFO: Connected...
ERROR: Closing connection: NetStream.Play.StreamNotFound

root@saturn:~# svtplay-dl
http://www.sydsvenskan.se/webb-tv/webb-tv-sport/tv-zlatan-azinovic-gor-debut-for-mff/
ERROR Can't find video file

root@saturn:~# svtplay-dl
http://www.kanal5play.se/program/472772441/artikel/481104607
ERROR Can't find video file

root@saturn:~# svtplay-dl http://www.tv4.se/snn-news/avsnitt/avsnitt-4-169107
ERROR Something wrong with that url
ERROR Error code: 404


Aftonbladet use the domain tv.aftonbladet.se. Does not work even if
service URL is
added to supported_domains.

root@saturn:~# svtplay-dl
http://tv.aftonbladet.se/webbtv/nyheter/brott-och-straff/brottscentralen/article32782.ab
ERROR That site is not supported. Make a ticket or send a message


The site tv3play.lv redirects to tvplay.lv. Does not work even if
service URL is added
to supported_domains.

root@saturn:~# svtplay-dl
http://www.tvplay.lv/parraides/go4speed-tv/353643?autostart=true
ERROR That site is not supported. Make a ticket or send a message


I could not find any configuration or arguments to change behaviour. If special
care needs to be taken for some services I think it should be
reflected in the docs
some, preferably accompanied with examples.


Please check with upstream if it is possible to fix issues before an upload to
Debian. If the timeframe for fixes is too long, I think we should go forth and
upload it anyway; of course forwarding bugs upstream.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Wed, 05 Feb 2014 11:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 11:36:05 GMT) Full text and rfc822 format available.

Message #59 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: Per Andersson <avtobiff@gmail.com>, 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Wed, 5 Feb 2014 12:33:56 +0100
[Message part 1 (text/plain, inline)]
On 2014-02-04 23:57 +0100, Per Andersson wrote:
> Hi!
> 
> Packaging looks good!
> 
> 
> Streaming from UR Play is not possible at all. upstream commit a7c9043301
> fixes this. Please include at least that in a new package.

This is not quite correct. Some videos lack a HD stream exposed via
flash.  See bug report here: https://github.com/spaam/svtplay-dl/issues/61
But nonetheless, I agree, should be part of the upload.



> root@saturn:~# svtplay-dl http://tv.nrk.no/program/koid75007313/lysleite
> ERROR That site is not supported. Make a ticket or send a message

Works with latest upstream.


> root@saturn:~# svtplay-dl http://www.twitch.tv/wcs_europe2
> root@saturn:~# svtplay-dl http://www.justin.tv/femjesseart
> root@saturn:~# svtplay-dl "http://sverigesradio.se/sida/artikel.aspx?programid=83&artikel=5775888"
> root@saturn:~# svtplay-dl http://www.tv3play.no/programmer/the-crazy-ones/349981?autostart=true
> root@saturn:~# svtplay-dl http://www.tv3play.lt/programos/moterys-meluoja-geriau/353249?autostart=true
> root@saturn:~# svtplay-dl http://www.tv3play.ee/sisu/midsomeri-morvad/352857?autostart=true
> root@saturn:~# svtplay-dl http://www.viasat4play.no/programmer/dads--1/349783?autostart=true
> root@saturn:~# svtplay-dl http://www.kanal9play.se/program/177466428
> root@saturn:~# svtplay-dl http://www.svd.se/kultur/amster-moter-veronica-maggio_8954474.svd
> root@saturn:~# svtplay-dl http://www.sydsvenskan.se/webb-tv/webb-tv-sport/tv-zlatan-azinovic-gor-debut-for-mff/
> root@saturn:~# svtplay-dl http://www.kanal5play.se/program/472772441/artikel/481104607

ACK


> root@saturn:~# svtplay-dl http://www.tv4.se/snn-news/avsnitt/avsnitt-4-169107
> ERROR Something wrong with that url
> ERROR Error code: 404

Premium content? Not sure. Can reproduce with your URL, but not with
randomly chosen video.

> root@saturn:~# svtplay-dl
> http://tv.aftonbladet.se/webbtv/nyheter/brott-och-straff/brottscentralen/article32782.ab
> ERROR That site is not supported. Make a ticket or send a message

Ack.

> The site tv3play.lv redirects to tvplay.lv. Does not work even if
> service URL is added
> to supported_domains.
> 
> root@saturn:~# svtplay-dl
> http://www.tvplay.lv/parraides/go4speed-tv/353643?autostart=true
> ERROR That site is not supported. Make a ticket or send a message

What link for tv3play did you use? I tried one at random, and had no
issues, and there were no redirects to tvplay.lv.

> I could not find any configuration or arguments to change behaviour. If special
> care needs to be taken for some services I think it should be
> reflected in the docs
> some, preferably accompanied with examples.

I don't think that's the case, usually.

> Please check with upstream if it is possible to fix issues before an upload to
> Debian. If the timeframe for fixes is too long, I think we should go forth and
> upload it anyway; of course forwarding bugs upstream.

I've spoken to upstream. Hopefully we can get a new release, with as
many of these issues fixed as possible within the next few days.
Thanks a lot for the review (and the bug reports :-)).

Cheers,
-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olof Johansson <olof@ethup.se>:
Bug#709922; Package wnpp. (Thu, 06 Feb 2014 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olof Johansson <olof@ethup.se>. (Thu, 06 Feb 2014 22:21:04 GMT) Full text and rfc822 format available.

Message #64 received at 709922@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Thu, 6 Feb 2014 23:18:35 +0100
>> Streaming from UR Play is not possible at all. upstream commit a7c9043301
>> fixes this. Please include at least that in a new package.
>
> This is not quite correct. Some videos lack a HD stream exposed via
> flash.  See bug report here: https://github.com/spaam/svtplay-dl/issues/61
> But nonetheless, I agree, should be part of the upload.

I did try downloading non-HD streams, i.e. without the -H option.


>> root@saturn:~# svtplay-dl http://tv.nrk.no/program/koid75007313/lysleite
>> ERROR That site is not supported. Make a ticket or send a message
>
> Works with latest upstream.

Good.


>> root@saturn:~# svtplay-dl http://www.tv4.se/snn-news/avsnitt/avsnitt-4-169107
>> ERROR Something wrong with that url
>> ERROR Error code: 404
>
> Premium content? Not sure. Can reproduce with your URL, but not with
> randomly chosen video.

I don't know either.


>> The site tv3play.lv redirects to tvplay.lv. Does not work even if
>> service URL is added
>> to supported_domains.
>>
>> root@saturn:~# svtplay-dl
>> http://www.tvplay.lv/parraides/go4speed-tv/353643?autostart=true
>> ERROR That site is not supported. Make a ticket or send a message
>
> What link for tv3play did you use? I tried one at random, and had no
> issues, and there were no redirects to tvplay.lv.

I used http://tv3play.lv/ Still get the redirects to tvplay.lv.


>> I could not find any configuration or arguments to change behaviour. If special
>> care needs to be taken for some services I think it should be
>> reflected in the docs
>> some, preferably accompanied with examples.
>
> I don't think that's the case, usually.

Ok.


>> Please check with upstream if it is possible to fix issues before an upload to
>> Debian. If the timeframe for fixes is too long, I think we should go forth and
>> upload it anyway; of course forwarding bugs upstream.
>
> I've spoken to upstream. Hopefully we can get a new release, with as
> many of these issues fixed as possible within the next few days.
> Thanks a lot for the review (and the bug reports :-)).

Neat!


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709922; Package wnpp. (Sat, 15 Feb 2014 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olof Johansson <olof@ethup.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 15 Feb 2014 11:09:04 GMT) Full text and rfc822 format available.

Message #69 received at 709922@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Sat, 15 Feb 2014 12:05:14 +0100
[Message part 1 (text/plain, inline)]
On 2014-02-04 23:57 +0100, Per Andersson wrote:
> Hi!
> 
> Packaging looks good!
> 
> 
> Streaming from UR Play is not possible at all. upstream commit a7c9043301
> fixes this. Please include at least that in a new package.
> 
> 
> Found some more issues when I tested the new package.

I just uploaded a new upstream version to mentors, including fixes to
almost all of the reported issues. There's still some issues with tv4,
aftonbladet and kanal9play, but only kanal9play seems to be completely
unusable (some media works fine with both aftonbladet and tv4).

Some of the issues have been fixed by improving error messaging (so,
still not able to retrieve media, but a little improvement at least :-)).

 http://mentors.debian.net/package/svtplay-dl

Please let me know if there's any other outstanding issues!

-- 
 --------------------------------------------------------------- 
| Olof Johansson                              http://stdlib.se/ |
|  irc: zibri                           https://github.com/olof |
 --------------------------------------------------------------- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olof Johansson <olof@ethup.se>:
Bug#709922; Package wnpp. (Fri, 28 Feb 2014 02:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olof Johansson <olof@ethup.se>. (Fri, 28 Feb 2014 02:21:05 GMT) Full text and rfc822 format available.

Message #74 received at 709922@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Olof Johansson <olof@ethup.se>, 709922@bugs.debian.org
Subject: Re: Bug#709922: ITP: svtplay-dl -- media downloader for play sites (e.g. SVT Play)
Date: Fri, 28 Feb 2014 03:18:41 +0100
On Sat, Feb 15, 2014 at 12:05 PM, Olof Johansson <olof@ethup.se> wrote:
> On 2014-02-04 23:57 +0100, Per Andersson wrote:
>> Hi!
>>
>> Packaging looks good!
>>
>>
>> Streaming from UR Play is not possible at all. upstream commit a7c9043301
>> fixes this. Please include at least that in a new package.
>>
>>
>> Found some more issues when I tested the new package.
>
> I just uploaded a new upstream version to mentors, including fixes to
> almost all of the reported issues. There's still some issues with tv4,
> aftonbladet and kanal9play, but only kanal9play seems to be completely
> unusable (some media works fine with both aftonbladet and tv4).
>
> Some of the issues have been fixed by improving error messaging (so,
> still not able to retrieve media, but a little improvement at least :-)).
>
>  http://mentors.debian.net/package/svtplay-dl

Uploaded to the NEW queue just now.

I also tried a one-off shot to run svtplay-dl with Python 3, which
seemed to work.
Consider supporting Python 3.


> Please let me know if there's any other outstanding issues!

An excerpt from my test run.

avtobiff@saturn:/tmp$ svtplay-dl
http://www.justin.tv/cg_village_captain/b/506008493
ERROR: Something wrong with that url
ERROR: Error code: 404

avtobiff@saturn:/tmp$ svtplay-dl
http://www.tv3play.lt/programos/pishiaus-anekdotai/362489?autostart=true
INFO: Outfile: pishiaus-anekdotai-pishiaus-anekdotas-sporto-saleje-tv3-play.flv
RTMPDump v2.4
(c) 2010 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL
Connecting ...
INFO: Connected...
ERROR: rtmp server sent error
ERROR: rtmp server requested close
INFO: no thumb requested

avtobiff@saturn:/tmp$ svtplay-dl
http://www.viasat4play.no/programmer/viva-la-bam
ERROR: Cant find video file

avtobiff@saturn:/tmp$ svtplay-dl http://www.kanal9play.se/program/177466428
ERROR: Can't find video file

avtobiff@saturn:/tmp$ svtplay-dl
http://www.svd.se/kultur/amster-moter-veronica-maggio_8954474.svd
ERROR: Can't find video file
avtobiff@saturn:/tmp$ svtplay-dl
http://www.svd.se/kultur/amster-moter-artister_8463590.svd?sidan=9
ERROR: Can't find video file

avtobiff@saturn:/tmp$ svtplay-dl http://www.kanal5play.se/program/259009
ERROR: Can't find video file


--
Per


> --
>  ---------------------------------------------------------------
> | Olof Johansson                              http://stdlib.se/ |
> |  irc: zibri                           https://github.com/olof |
>  ---------------------------------------------------------------
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iEYEARECAAYFAlL/SekACgkQCPS7eH/A+7psygCfe2qQe4lDxVaUwbY9egrO60G/
> LUAAniXxQ4WRXqeJ4vMNtgoEd4BrEs2C
> =R9r6
> -----END PGP SIGNATURE-----
>



Reply sent to Olof Johansson <olof@ethup.se>:
You have taken responsibility. (Wed, 05 Mar 2014 12:03:09 GMT) Full text and rfc822 format available.

Notification sent to Olof Johansson <olof@ethup.se>:
Bug acknowledged by developer. (Wed, 05 Mar 2014 12:03:09 GMT) Full text and rfc822 format available.

Message #79 received at 709922-close@bugs.debian.org (full text, mbox):

From: Olof Johansson <olof@ethup.se>
To: 709922-close@bugs.debian.org
Subject: Bug#709922: fixed in svtplay-dl 0.9.2014.02.15-1
Date: Wed, 05 Mar 2014 12:00:08 +0000
Source: svtplay-dl
Source-Version: 0.9.2014.02.15-1

We believe that the bug you reported is fixed in the latest version of
svtplay-dl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709922@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Olof Johansson <olof@ethup.se> (supplier of updated svtplay-dl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 15 Feb 2014 11:48:10 +0200
Source: svtplay-dl
Binary: svtplay-dl
Architecture: source all
Version: 0.9.2014.02.15-1
Distribution: unstable
Urgency: low
Maintainer: Olof Johansson <olof@ethup.se>
Changed-By: Olof Johansson <olof@ethup.se>
Description: 
 svtplay-dl - program to download videos from video on demand sites
Closes: 709922
Changes: 
 svtplay-dl (0.9.2014.02.15-1) unstable; urgency=low
 .
   * Initial release. (Closes: #709922)
Checksums-Sha1: 
 be38c4836c7c27e607840913d8793f5954765cf6 1931 svtplay-dl_0.9.2014.02.15-1.dsc
 5fc82a5894ee4d24c6496b4b34db28c185f72dd2 57661 svtplay-dl_0.9.2014.02.15.orig.tar.gz
 deb6889934ce0cf5aa758e498f7df41cbe800965 2140 svtplay-dl_0.9.2014.02.15-1.debian.tar.xz
 f6d0361a41d5049ae07cee50d78a2a74f73dd8ae 35970 svtplay-dl_0.9.2014.02.15-1_all.deb
Checksums-Sha256: 
 14c96d9791de044a6c50e41896a2710d087b74cf0ed5e482b29401be15f667ac 1931 svtplay-dl_0.9.2014.02.15-1.dsc
 1901490e64bf9977741edbab5fbb1940dca9a6f43db65222aeff60add1c3e2f9 57661 svtplay-dl_0.9.2014.02.15.orig.tar.gz
 6c8d80c0ff9fffd697b0b3fe004f2078ec356de6a2874cb2d3a0dc839be97368 2140 svtplay-dl_0.9.2014.02.15-1.debian.tar.xz
 a79082d560f9f19a060ecd5816a58cce1b2e5a0c62d38fba87761c8cb307aa2c 35970 svtplay-dl_0.9.2014.02.15-1_all.deb
Files: 
 fbda2580ce1ce4f2a014718009359fa4 1931 utils optional svtplay-dl_0.9.2014.02.15-1.dsc
 4e8edd69751fff96ad2ff1f1eeae27c8 57661 utils optional svtplay-dl_0.9.2014.02.15.orig.tar.gz
 2e87b0c71126e200f04f5add081931f3 2140 utils optional svtplay-dl_0.9.2014.02.15-1.debian.tar.xz
 589c2c77e856b213f48a1d31bc475346 35970 utils optional svtplay-dl_0.9.2014.02.15-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTD/G0AAoJELGIrlV59JL4Wt8P/RyhYek5kVam+YAJscdpF1bo
q6Iple+pR7E/6wJrnJYwaAvaS2q48Y3h1AY7C6fXLuDiQ2WQ6e2oGEaiiYtVJ1J+
GYl7XlKs3HbqKTEt/R5vwrwvZsf1V1y/Ducl5WZUJo8BxhdFydDDV6mnTgsYWtRW
GCdyB8V/yxSMwEhnliR+C1twzn2fBskxaUUzeLlZBEFMA6g4u4uWBtdcrZb7x1EZ
OZWzyB4a+q8tpJS4bxhEqPkbCzZfz8bYAImVngQgOCLUqdz3vm7PQ2VfzrBT9dzN
jF4IgdF4KcxDnLUAU2GalNo2QCOuLhlWf1xNRM6l9gWvTgVC38OP8I0Iz1edTSlI
XolK3o3Zit9RdYP+XLPm7f/vZczqqS1r+LnAD6SWh4DPhfnWYAs62AXecVzUyXp9
S8whKDMZr2QH+bVBkYbCJ1AtTc1Ws/9y/PugZMXEt1xdhWxb1opHrIP9XykoGuoe
DGi0Ijj6vcNYb0zkxioKFv/NpRKeWqIVo6p5s60F24o5LEEAxs7OL30P32z8Rw3Q
/t4Zomkn8YUJLhZebZflAIAcIIfKI4D37f/ZGwMkroKcAGRlHOd9K2eBcTBlyej7
yQiSgc2Y3zuFBp6Q0IddhHyLNL2jz+SlgdSrgAKjgNlDNL7mHyoC67iD7sQQ9SaQ
uX2aw/zZ9eZBLjt28GQM
=m/wG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Apr 2014 07:28:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:38:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.